import os
from app import spawn_app, db, migrate
from app.models import User, File, Transaction
from app import file_indexer

app = spawn_app(os.getenv('FLASK_CONFIG') or 'default')


@app.shell_context_processor
def make_shell_context():
    return dict(app=app, db=db, User=User, File=File, Transaction=Transaction, migrate=migrate,
                file_indexer=file_indexer
                )
